Create a manual backup
curl --request POST \
--url https://api.vmarea.com/api/v1/api/public/v1/vms/{vmId}/backups \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"note": "<string>",
"mode": "snapshot",
"compress": "zstd"
}
'import requests
url = "https://api.vmarea.com/api/v1/api/public/v1/vms/{vmId}/backups"
payload = {
"note": "<string>",
"mode": "snapshot",
"compress": "zstd"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', mode: 'snapshot', compress: 'zstd'})
};
fetch('https://api.vmarea.com/api/v1/api/public/v1/vms/{vmId}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"backup": {
"id": "<string>",
"vmId": "<string>",
"type": "<string>",
"status": "<string>",
"size": "<string>",
"note": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"actionId": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Backups
Create a manual backup
Enqueue a manual backup job for the VM. The VM must have daily backups enabled and remain under the per-VM backup cap. Requires the backups:write scope.
POST
/
api
/
public
/
v1
/
vms
/
{vmId}
/
backups
Create a manual backup
Authorizations
Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.
Path Parameters
Body
application/json
⌘I